Skip to main content
PUT
/
api
/
v2
/
agent
/
{agentId}
/
versions
/
{versionId}
/
title
Rename Stored Version
curl --request PUT \
  --url 'https://api.vida.dev/api/v2/agent/{agentId}/versions/{versionId}/title?token=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Holiday-2025"
}
'
{
  "success": true,
  "versionId": 1750195000123,
  "newTitle": "Holiday-2025"
}

Documentation Index

Fetch the complete documentation index at: https://vida.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
query
required

Vida API Token

Path Parameters

agentId
string
required

Agent Id

versionId
string
required

Epoch-ms score of the snapshot

Body

application/json
title
string
required
Example:

"Holiday-2025"

Response

200 - application/json

Title updated

success
boolean
Example:

true

versionId
integer
Example:

1750195000123

newTitle
string
Example:

"Holiday-2025"